Bug 7724 - Tests requiring Zebra should be skipped if Zebra isn't set up
Summary: Tests requiring Zebra should be skipped if Zebra isn't set up
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Jared Camins-Esakov
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-16 11:28 UTC by Jared Camins-Esakov
Modified: 2013-12-05 19:57 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7724: Skip Linker test if Zebra isn't set up (1.35 KB, patch)
2012-03-16 11:40 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[PASSED QA] Bug 7724: Skip Linker test if Zebra isn't set up (1.37 KB, patch)
2012-03-20 00:22 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-03-16 11:28:37 UTC
Some tests (so far just Linker_FirstMatch.t) require Zebra, and will raise errors if the Zebra database has not been initialized. All tests using Zebra should be skipped if the Zebra server is not, in fact, up and running.
Comment 1 Jared Camins-Esakov 2012-03-16 11:40:11 UTC Comment hidden (obsolete)
Comment 2 Ian Walls 2012-03-20 00:22:15 UTC
Looks like this is only a problem when a system does have authorities, but they're not indexed or Zebra isn't running.  If a system has no authorities, there is no problem.

Testing a case where a system does have authorities, we now have a successful tests in both cases.  The warnings returned in the STDOUT are different, giving the user a hint of what's going on, but the tests do pass.
Comment 3 Ian Walls 2012-03-20 00:22:18 UTC
Created attachment 8319 [details] [review]
[PASSED QA] Bug 7724: Skip Linker test if Zebra isn't set up

One of the tests in t/db_dependent/Linker_FirstMatch.t ony works if Zebra is
running and authorities have been indexed. This was causing Jenkins agitas.
The test should be skipped if Zebra isn't running or authorities have not been
indexed at the time the test is run.

Signed-off-by: Ian Walls <koha.sekjal@gmail.com>
Comment 4 Ian Walls 2012-03-20 00:23:12 UTC
Signed Off and Passed QA in one fell swoop.
Comment 5 Paul Poulain 2012-03-20 10:22:29 UTC
patch pushed, we will see if jenkins is back to stable !
Comment 6 Jared Camins-Esakov 2012-05-09 20:02:57 UTC
This bug will be included in the Koha 3.6.5 release.